Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get SP certificate

Prev Next

Available in Classic and VPC

Get external SAML SP certificate details.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/tenant/saml-idp/sp-certificates/{certificateId}

Request headers

For information about the headers common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
certificateId String Required SP certificate ID

Request example

The request example is as follows:

curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/tenant/saml-idp/sp-certificates/80d9ba0d-****-****-****-76afe6ea5b33' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
certificateId String - Certificate's unique identifier
certificate String - Certificate
createdAt String - IdP certificate creation date and time
  • ISO 8601 format
expiredAt String - IdP certificate expiration date and time
  • ISO 8601 format
status String - SP certificate status
  • active | suspended

Response status codes

For information about the response status codes common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On response status codes.

Response example

The response example is as follows:

{
    "certificateId": "54c6bad4-****-****-****-e768030ebd25",
    "certificate": "MIID*******",
    "createdAt": "2020-01-20T03:01:54Z",
    "expiredAt": "2030-01-20T03:01:54Z",
    "status": "active"
}